import { StartChatResponse } from '@typebot.io/schemas/features/chat/schema';
export declare const getExistingResultIdFromStorage: (typebotId?: string) => string | undefined;
export declare const setResultInStorage: (storageType?: 'local' | 'session') => (typebotId: string, resultId: string) => void;
export declare const getInitialChatReplyFromStorage: (typebotId: string | undefined) => {
    messages: ({
        id: string;
    } & ({
        type: import("@typebot.io/schemas/features/blocks/bubbles/constants").BubbleBlockType.TEXT;
        content: {
            type: "richText";
            richText?: any;
        } | {
            type: "markdown";
            markdown: string;
        };
    } | {
        type: import("@typebot.io/schemas/features/blocks/bubbles/constants").BubbleBlockType.IMAGE;
        content: {
            url?: string | undefined;
            clickLink?: {
                url?: string | undefined;
                alt?: string | undefined;
            } | undefined;
        };
    } | {
        type: import("@typebot.io/schemas/features/blocks/bubbles/constants").BubbleBlockType.VIDEO;
        content: {
            url?: string | undefined;
            id?: string | undefined;
            type?: import("@typebot.io/schemas/features/blocks/bubbles/video/constants").VideoBubbleContentType | undefined;
            height?: number | `{{${string}}}` | undefined;
            aspectRatio?: string | undefined;
            maxWidth?: string | undefined;
            queryParamsStr?: string | undefined;
            areControlsDisplayed?: boolean | undefined;
            isAutoplayEnabled?: boolean | undefined;
        };
    } | {
        type: import("@typebot.io/schemas/features/blocks/bubbles/constants").BubbleBlockType.AUDIO;
        content: {
            url?: string | undefined;
            isAutoplayEnabled?: boolean | undefined;
        };
    } | {
        type: import("@typebot.io/schemas/features/blocks/bubbles/constants").BubbleBlockType.EMBED;
        content: {
            url?: string | undefined;
            waitForEvent?: {
                isEnabled?: boolean | undefined;
                name?: string | undefined;
                saveDataInVariableId?: string | undefined;
            } | undefined;
            height?: number | undefined;
        };
    } | {
        type: "custom-embed";
        content: {
            initFunction: {
                content: string;
                args: Record<string, unknown>;
            };
            url?: string | undefined;
            waitForEventFunction?: {
                content: string;
                args: Record<string, unknown>;
            } | undefined;
        };
    }))[];
    typebot: {
        id: string;
        settings: {
            general?: {
                isBrandingEnabled?: boolean | undefined;
                isTypingEmulationEnabled?: boolean | undefined;
                isInputPrefillEnabled?: boolean | undefined;
                isHideQueryParamsEnabled?: boolean | undefined;
                isNewResultOnRefreshEnabled?: boolean | undefined;
                rememberUser?: {
                    isEnabled?: boolean | undefined;
                    storage?: "session" | "local" | undefined;
                } | undefined;
            } | undefined;
            typingEmulation?: {
                enabled?: boolean | undefined;
                speed?: number | undefined;
                maxDelay?: number | undefined;
                delayBetweenBubbles?: number | undefined;
                isDisabledOnFirstMessage?: boolean | undefined;
            } | undefined;
            metadata?: {
                title?: string | undefined;
                description?: string | undefined;
                imageUrl?: string | undefined;
                favIconUrl?: string | undefined;
                customHeadCode?: string | undefined;
                googleTagManagerId?: string | undefined;
            } | undefined;
            whatsApp?: {
                isEnabled?: boolean | undefined;
                startCondition?: {
                    logicalOperator: import("@typebot.io/schemas/features/blocks/logic/condition/constants").LogicalOperator;
                    comparisons: {
                        id: string;
                        comparisonOperator?: import("@typebot.io/schemas/features/blocks/logic/condition/constants").ComparisonOperators | undefined;
                        value?: string | undefined;
                    }[];
                } | undefined;
                sessionExpiryTimeout?: number | undefined;
            } | undefined;
            publicShare?: {
                isEnabled?: boolean | undefined;
            } | undefined;
            security?: {
                allowedOrigins?: string[] | undefined;
            } | undefined;
        };
        theme: {
            general?: {
                font?: string | {
                    type: "Google";
                    family?: string | undefined;
                } | {
                    type: "Custom";
                    family?: string | undefined;
                    css?: string | undefined;
                    url?: string | undefined;
                } | undefined;
                background?: {
                    type?: import("@typebot.io/schemas/features/typebot/theme/constants").BackgroundType | undefined;
                    content?: string | undefined;
                } | undefined;
                progressBar?: {
                    isEnabled?: boolean | undefined;
                    color?: string | undefined;
                    backgroundColor?: string | undefined;
                    placement?: "Top" | "Bottom" | undefined;
                    thickness?: number | undefined;
                    position?: "fixed" | "absolute" | undefined;
                } | undefined;
            } | undefined;
            chat?: {
                container?: {
                    maxWidth?: string | undefined;
                    maxHeight?: string | undefined;
                    backgroundColor?: string | undefined;
                    color?: string | undefined;
                    blur?: number | undefined;
                    opacity?: number | undefined;
                    shadow?: "none" | "sm" | "md" | "lg" | "xl" | "2xl" | undefined;
                    border?: {
                        thickness?: number | undefined;
                        color?: string | undefined;
                        roundeness?: "medium" | "large" | "none" | "custom" | undefined;
                        customRoundeness?: number | undefined;
                        opacity?: number | undefined;
                    } | undefined;
                } | undefined;
                hostAvatar?: {
                    isEnabled?: boolean | undefined;
                    url?: string | undefined;
                } | undefined;
                guestAvatar?: {
                    isEnabled?: boolean | undefined;
                    url?: string | undefined;
                } | undefined;
                hostBubbles?: {
                    backgroundColor?: string | undefined;
                    color?: string | undefined;
                    blur?: number | undefined;
                    opacity?: number | undefined;
                    shadow?: "none" | "sm" | "md" | "lg" | "xl" | "2xl" | undefined;
                    border?: {
                        thickness?: number | undefined;
                        color?: string | undefined;
                        roundeness?: "medium" | "large" | "none" | "custom" | undefined;
                        customRoundeness?: number | undefined;
                        opacity?: number | undefined;
                    } | undefined;
                } | undefined;
                guestBubbles?: {
                    backgroundColor?: string | undefined;
                    color?: string | undefined;
                    blur?: number | undefined;
                    opacity?: number | undefined;
                    shadow?: "none" | "sm" | "md" | "lg" | "xl" | "2xl" | undefined;
                    border?: {
                        thickness?: number | undefined;
                        color?: string | undefined;
                        roundeness?: "medium" | "large" | "none" | "custom" | undefined;
                        customRoundeness?: number | undefined;
                        opacity?: number | undefined;
                    } | undefined;
                } | undefined;
                buttons?: {
                    backgroundColor?: string | undefined;
                    color?: string | undefined;
                    blur?: number | undefined;
                    opacity?: number | undefined;
                    shadow?: "none" | "sm" | "md" | "lg" | "xl" | "2xl" | undefined;
                    border?: {
                        thickness?: number | undefined;
                        color?: string | undefined;
                        roundeness?: "medium" | "large" | "none" | "custom" | undefined;
                        customRoundeness?: number | undefined;
                        opacity?: number | undefined;
                    } | undefined;
                } | undefined;
                inputs?: {
                    color?: string | undefined;
                    opacity?: number | undefined;
                    backgroundColor?: string | undefined;
                    blur?: number | undefined;
                    shadow?: "none" | "sm" | "md" | "lg" | "xl" | "2xl" | undefined;
                    border?: {
                        thickness?: number | undefined;
                        color?: string | undefined;
                        roundeness?: "medium" | "large" | "none" | "custom" | undefined;
                        customRoundeness?: number | undefined;
                        opacity?: number | undefined;
                    } | undefined;
                    placeholderColor?: string | undefined;
                } | undefined;
                roundness?: "medium" | "large" | "none" | undefined;
            } | undefined;
            customCss?: string | undefined;
        };
        publishedAt?: Date | undefined;
    };
    sessionId: string;
    resultId?: string | undefined;
    lastMessageNewFormat?: string | undefined;
    input?: (({
        id: string;
        type: import("@typebot.io/schemas/features/blocks/inputs/constants").InputBlockType.CHOICE;
        items: {
            id: string;
            outgoingEdgeId?: string | undefined;
            blockId?: string | undefined;
            content?: string | undefined;
            displayCondition?: {
                isEnabled?: boolean | undefined;
                condition?: {
                    logicalOperator?: import("@typebot.io/schemas/features/blocks/logic/condition/constants").LogicalOperator | undefined;
                    comparisons?: {
                        id: string;
                        variableId?: string | undefined;
                        comparisonOperator?: import("@typebot.io/schemas/features/blocks/logic/condition/constants").ComparisonOperators | undefined;
                        value?: string | undefined;
                    }[] | undefined;
                } | undefined;
            } | undefined;
        }[];
        outgoingEdgeId?: string | undefined;
        options?: {
            variableId?: string | undefined;
            isMultipleChoice?: boolean | undefined;
            buttonLabel?: string | undefined;
            dynamicVariableId?: string | undefined;
            isSearchable?: boolean | undefined;
            searchInputPlaceholder?: string | undefined;
        } | undefined;
    } | {
        id: string;
        type: import("@typebot.io/schemas/features/blocks/inputs/constants").InputBlockType.CHOICE;
        items: {
            id: string;
            outgoingEdgeId?: string | undefined;
            content?: string | undefined;
            displayCondition?: {
                isEnabled?: boolean | undefined;
                condition?: {
                    logicalOperator?: import("@typebot.io/schemas/features/blocks/logic/condition/constants").LogicalOperator | undefined;
                    comparisons?: {
                        id: string;
                        variableId?: string | undefined;
                        comparisonOperator?: import("@typebot.io/schemas/features/blocks/logic/condition/constants").ComparisonOperators | undefined;
                        value?: string | undefined;
                    }[] | undefined;
                } | undefined;
            } | undefined;
        }[];
        outgoingEdgeId?: string | undefined;
        options?: {
            variableId?: string | undefined;
            isMultipleChoice?: boolean | undefined;
            buttonLabel?: string | undefined;
            dynamicVariableId?: string | undefined;
            isSearchable?: boolean | undefined;
            searchInputPlaceholder?: string | undefined;
        } | undefined;
    } | {
        id: string;
        type: import("@typebot.io/schemas/features/blocks/inputs/constants").InputBlockType.DATE;
        outgoingEdgeId?: string | undefined;
        options?: {
            variableId?: string | undefined;
            labels?: {
                button?: string | undefined;
                from?: string | undefined;
                to?: string | undefined;
            } | undefined;
            hasTime?: boolean | undefined;
            isRange?: boolean | undefined;
            format?: string | undefined;
            min?: string | undefined;
            max?: string | undefined;
        } | undefined;
    } | {
        id: string;
        type: import("@typebot.io/schemas/features/blocks/inputs/constants").InputBlockType.FILE;
        outgoingEdgeId?: string | undefined;
        options?: {
            variableId?: string | undefined;
            isRequired?: boolean | undefined;
            isMultipleAllowed?: boolean | undefined;
            labels?: {
                placeholder?: string | undefined;
                button?: string | undefined;
                clear?: string | undefined;
                skip?: string | undefined;
                success?: {
                    single?: string | undefined;
                    multiple?: string | undefined;
                } | undefined;
            } | undefined;
            sizeLimit?: number | undefined;
            visibility?: "Auto" | "Public" | "Private" | undefined;
        } | undefined;
    } | {
        id: string;
        type: import("@typebot.io/schemas/features/blocks/inputs/constants").InputBlockType.FILE;
        outgoingEdgeId?: string | undefined;
        options?: {
            visibility?: "Auto" | "Public" | "Private" | undefined;
            variableId?: string | undefined;
            labels?: {
                placeholder?: string | undefined;
                button?: string | undefined;
                clear?: string | undefined;
                skip?: string | undefined;
                success?: {
                    single?: string | undefined;
                    multiple?: string | undefined;
                } | undefined;
            } | undefined;
            isRequired?: boolean | undefined;
            isMultipleAllowed?: boolean | undefined;
        } | undefined;
    } | {
        id: string;
        type: import("@typebot.io/schemas/features/blocks/inputs/constants").InputBlockType.TEXT;
        outgoingEdgeId?: string | undefined;
        options?: {
            variableId?: string | undefined;
            labels?: {
                placeholder?: string | undefined;
                button?: string | undefined;
            } | undefined;
            isLong?: boolean | undefined;
            audioClip?: {
                isEnabled?: boolean | undefined;
                saveVariableId?: string | undefined;
                visibility?: "Auto" | "Public" | "Private" | undefined;
            } | undefined;
            attachments?: {
                isEnabled?: boolean | undefined;
                saveVariableId?: string | undefined;
                visibility?: "Auto" | "Public" | "Private" | undefined;
            } | undefined;
        } | undefined;
    } | {
        id: string;
        type: import("@typebot.io/schemas/features/blocks/inputs/constants").InputBlockType.EMAIL;
        outgoingEdgeId?: string | undefined;
        options?: {
            variableId?: string | undefined;
            labels?: {
                placeholder?: string | undefined;
                button?: string | undefined;
            } | undefined;
            retryMessageContent?: string | undefined;
        } | undefined;
    } | {
        id: string;
        type: import("@typebot.io/schemas/features/blocks/inputs/constants").InputBlockType.NUMBER;
        outgoingEdgeId?: string | undefined;
        options?: {
            variableId?: string | undefined;
            labels?: {
                placeholder?: string | undefined;
                button?: string | undefined;
            } | undefined;
            min?: number | `{{${string}}}` | undefined;
            max?: number | `{{${string}}}` | undefined;
            step?: number | `{{${string}}}` | undefined;
        } | undefined;
    } | {
        id: string;
        type: import("@typebot.io/schemas/features/blocks/inputs/constants").InputBlockType.PAYMENT;
        outgoingEdgeId?: string | undefined;
        options?: {
            variableId?: string | undefined;
            provider?: import("@typebot.io/schemas/features/blocks/inputs/payment/constants").PaymentProvider.STRIPE | undefined;
            labels?: {
                button?: string | undefined;
                success?: string | undefined;
            } | undefined;
            additionalInformation?: {
                description?: string | undefined;
                name?: string | undefined;
                email?: string | undefined;
                phoneNumber?: string | undefined;
                address?: {
                    country?: string | undefined;
                    line1?: string | undefined;
                    line2?: string | undefined;
                    state?: string | undefined;
                    city?: string | undefined;
                    postalCode?: string | undefined;
                } | undefined;
            } | undefined;
            credentialsId?: string | undefined;
            currency?: string | undefined;
            amount?: string | undefined;
            retryMessageContent?: string | undefined;
        } | undefined;
    } | {
        id: string;
        type: import("@typebot.io/schemas/features/blocks/inputs/constants").InputBlockType.PHONE;
        outgoingEdgeId?: string | undefined;
        options?: {
            variableId?: string | undefined;
            labels?: {
                placeholder?: string | undefined;
                button?: string | undefined;
            } | undefined;
            retryMessageContent?: string | undefined;
            defaultCountryCode?: string | undefined;
        } | undefined;
    } | {
        id: string;
        type: import("@typebot.io/schemas/features/blocks/inputs/constants").InputBlockType.RATING;
        outgoingEdgeId?: string | undefined;
        options?: {
            variableId?: string | undefined;
            buttonType?: "Icons" | "Numbers" | undefined;
            length?: number | undefined;
            startsAt?: number | `{{${string}}}` | undefined;
            labels?: {
                left?: string | undefined;
                right?: string | undefined;
                button?: string | undefined;
            } | undefined;
            customIcon?: {
                isEnabled?: boolean | undefined;
                svg?: string | undefined;
            } | undefined;
            isOneClickSubmitEnabled?: boolean | undefined;
        } | undefined;
    } | {
        id: string;
        type: import("@typebot.io/schemas/features/blocks/inputs/constants").InputBlockType.URL;
        outgoingEdgeId?: string | undefined;
        options?: {
            variableId?: string | undefined;
            labels?: {
                placeholder?: string | undefined;
                button?: string | undefined;
            } | undefined;
            retryMessageContent?: string | undefined;
        } | undefined;
    } | {
        id: string;
        type: import("@typebot.io/schemas/features/blocks/inputs/constants").InputBlockType.PICTURE_CHOICE;
        items: {
            id: string;
            outgoingEdgeId?: string | undefined;
            blockId?: string | undefined;
            pictureSrc?: string | undefined;
            title?: string | undefined;
            description?: string | undefined;
            displayCondition?: {
                isEnabled?: boolean | undefined;
                condition?: {
                    logicalOperator?: import("@typebot.io/schemas/features/blocks/logic/condition/constants").LogicalOperator | undefined;
                    comparisons?: {
                        id: string;
                        variableId?: string | undefined;
                        comparisonOperator?: import("@typebot.io/schemas/features/blocks/logic/condition/constants").ComparisonOperators | undefined;
                        value?: string | undefined;
                    }[] | undefined;
                } | undefined;
            } | undefined;
        }[];
        outgoingEdgeId?: string | undefined;
        options?: {
            variableId?: string | undefined;
            isMultipleChoice?: boolean | undefined;
            isSearchable?: boolean | undefined;
            buttonLabel?: string | undefined;
            searchInputPlaceholder?: string | undefined;
            dynamicItems?: {
                isEnabled?: boolean | undefined;
                titlesVariableId?: string | undefined;
                descriptionsVariableId?: string | undefined;
                pictureSrcsVariableId?: string | undefined;
            } | undefined;
        } | undefined;
    } | {
        id: string;
        type: import("@typebot.io/schemas/features/blocks/inputs/constants").InputBlockType.PICTURE_CHOICE;
        items: {
            id: string;
            outgoingEdgeId?: string | undefined;
            pictureSrc?: string | undefined;
            title?: string | undefined;
            description?: string | undefined;
            displayCondition?: {
                isEnabled?: boolean | undefined;
                condition?: {
                    logicalOperator?: import("@typebot.io/schemas/features/blocks/logic/condition/constants").LogicalOperator | undefined;
                    comparisons?: {
                        id: string;
                        variableId?: string | undefined;
                        comparisonOperator?: import("@typebot.io/schemas/features/blocks/logic/condition/constants").ComparisonOperators | undefined;
                        value?: string | undefined;
                    }[] | undefined;
                } | undefined;
            } | undefined;
        }[];
        outgoingEdgeId?: string | undefined;
        options?: {
            variableId?: string | undefined;
            isMultipleChoice?: boolean | undefined;
            isSearchable?: boolean | undefined;
            buttonLabel?: string | undefined;
            searchInputPlaceholder?: string | undefined;
            dynamicItems?: {
                isEnabled?: boolean | undefined;
                titlesVariableId?: string | undefined;
                descriptionsVariableId?: string | undefined;
                pictureSrcsVariableId?: string | undefined;
            } | undefined;
        } | undefined;
    }) & {
        prefilledValue?: string | undefined;
        runtimeOptions?: {
            paymentIntentSecret: string;
            amountLabel: string;
            publicKey: string;
        } | undefined;
    }) | undefined;
    clientSideActions?: ({
        type: "scriptToExecute";
        scriptToExecute: {
            content: string;
            args: {
                id: string;
                value?: string | number | boolean | (string | null)[] | null | undefined;
            }[];
            isCode?: boolean | undefined;
        };
        lastBubbleBlockId?: string | undefined;
        expectsDedicatedReply?: boolean | undefined;
    } | {
        type: "redirect";
        redirect: {
            url?: string | undefined;
            isNewTab?: boolean | undefined;
        };
        lastBubbleBlockId?: string | undefined;
        expectsDedicatedReply?: boolean | undefined;
    } | {
        type: "chatwoot";
        chatwoot: {
            scriptToExecute: {
                content: string;
                args: {
                    id: string;
                    value?: string | number | boolean | (string | null)[] | null | undefined;
                }[];
                isCode?: boolean | undefined;
            };
        };
        lastBubbleBlockId?: string | undefined;
        expectsDedicatedReply?: boolean | undefined;
    } | {
        type: "googleAnalytics";
        googleAnalytics: {
            trackingId?: string | undefined;
            category?: string | undefined;
            action?: string | undefined;
            label?: string | undefined;
            value?: number | `{{${string}}}` | undefined;
            sendTo?: string | undefined;
        };
        lastBubbleBlockId?: string | undefined;
        expectsDedicatedReply?: boolean | undefined;
    } | {
        type: "wait";
        wait: {
            secondsToWaitFor: number;
        };
        lastBubbleBlockId?: string | undefined;
        expectsDedicatedReply?: boolean | undefined;
    } | {
        type: "setVariable";
        setVariable: {
            scriptToExecute: {
                content: string;
                args: {
                    id: string;
                    value?: string | number | boolean | (string | null)[] | null | undefined;
                }[];
                isCode?: boolean | undefined;
            };
        };
        lastBubbleBlockId?: string | undefined;
        expectsDedicatedReply?: boolean | undefined;
    } | {
        type: "streamOpenAiChatCompletion";
        streamOpenAiChatCompletion: {
            messages: {
                content?: string | undefined;
                role?: "user" | "system" | "assistant" | undefined;
            }[];
        };
        lastBubbleBlockId?: string | undefined;
        expectsDedicatedReply?: boolean | undefined;
    } | {
        type: "webhookToExecute";
        webhookToExecute: {
            url: string;
            headers?: Record<string, string> | undefined;
            body?: unknown;
            method?: import("@typebot.io/schemas/features/blocks/integrations/webhook/constants").HttpMethod | undefined;
        };
        lastBubbleBlockId?: string | undefined;
        expectsDedicatedReply?: boolean | undefined;
    } | {
        type: "startPropsToInject";
        startPropsToInject: {
            googleAnalyticsId?: string | undefined;
            pixelIds?: string[] | undefined;
            gtmId?: string | undefined;
            customHeadCode?: string | undefined;
        };
        lastBubbleBlockId?: string | undefined;
        expectsDedicatedReply?: boolean | undefined;
    } | {
        type: "pixel";
        pixel: {
            params?: {
                id: string;
                key?: string | undefined;
                value?: any;
            }[] | undefined;
            pixelId?: string | undefined;
            isInitSkip?: boolean | undefined;
            eventType?: undefined;
        } | {
            eventType: "Lead" | "Contact" | "CompleteRegistration" | "Schedule" | "SubmitApplication" | "ViewContent" | "AddPaymentInfo" | "AddToCart" | "AddToWishlist" | "CustomizeProduct" | "Donate" | "FindLocation" | "InitiateCheckout" | "Purchase" | "Search" | "StartTrial" | "Subscribe";
            params?: {
                id: string;
                key?: string | undefined;
                value?: any;
            }[] | undefined;
            pixelId?: string | undefined;
            isInitSkip?: boolean | undefined;
        } | {
            eventType: "Custom";
            params?: {
                id: string;
                key?: string | undefined;
                value?: any;
            }[] | undefined;
            pixelId?: string | undefined;
            isInitSkip?: boolean | undefined;
            name?: string | undefined;
        };
        lastBubbleBlockId?: string | undefined;
        expectsDedicatedReply?: boolean | undefined;
    } | {
        type: "stream";
        stream: true;
        lastBubbleBlockId?: string | undefined;
        expectsDedicatedReply?: boolean | undefined;
    } | {
        type: "codeToExecute";
        codeToExecute: {
            content: string;
            args: Record<string, unknown>;
        };
        lastBubbleBlockId?: string | undefined;
        expectsDedicatedReply?: boolean | undefined;
    })[] | undefined;
    logs?: {
        status: string;
        description: string;
        details?: unknown;
    }[] | undefined;
    dynamicTheme?: {
        hostAvatarUrl?: string | undefined;
        guestAvatarUrl?: string | undefined;
    } | undefined;
    progress?: number | undefined;
} | undefined;
export declare const setInitialChatReplyInStorage: (initialChatReply: StartChatResponse, { typebotId, storage, }: {
    typebotId: string;
    storage?: 'local' | 'session';
}) => void;
export declare const setBotOpenedStateInStorage: () => void;
export declare const removeBotOpenedStateInStorage: () => void;
export declare const getBotOpenedStateFromStorage: () => boolean;
export declare const parseRememberUserStorage: (storage: 'local' | 'session' | undefined) => typeof localStorage | typeof sessionStorage;
export declare const wipeExistingChatStateInStorage: (typebotId: string) => void;
//# sourceMappingURL=storage.d.ts.map